Apache Submarine 存在反序列化漏洞

来源: 投稿
2023-11-21 10:32:00

漏洞描述

Apache Submarine是一个端到端的机器学习平台,允许数据科学家创建完整的机器学习工作流程,涵盖数据探索、数据管道创建、模型训练、服务以及监控的每个阶段。

Apache Submarine在YamlEntityProvider.java中使用 snakeyaml 反序列化yaml 格式的请求。在请求如/api/v1/serve/的接口时,Apache Submarine使用的JAX-RS框架会查找到YamlEntityProvider.java里设置的消息转换器,并最终调用到readFrom函数里的 yaml.loadAs进行反序列化。

漏洞的修复方式为把 snakeyaml 组件替换成jackson-dataformat-yaml。

漏洞名称 Apache Submarine 存在反序列化漏洞
漏洞类型 反序列化
发现时间 2023-11-19
漏洞影响广度 -
MPS编号 MPS-qp4a-wcgl
CVE编号 CVE-2023-46302
CNVD编号 -

影响范围

org.apache.submarine:submarine-server@[0.7.0, 0.8.0)

修复方案

将 org.apache.submarine:submarine-server 升级至 0.8.0 及以上版本

将代码cherry-pick https://github.com/apache/submarine/pull/1054然后重新构建submart-server镜像完成修复

参考链接

https://www.oscs1024.com/hd/MPS-qp4a-wcgl

Commit

证明影响版本

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击加入讨论🔥(1) 发布并加入讨论🔥
1 评论
0 收藏
分享
返回顶部
顶部